{****************************************************************}
{* Common logic gates based electronics: Combinational circuits *}
{****************************************************************}

program LogicGates6;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, Forms, logic6, encoder_4to2, encoder_8to3, encoder_4to2pri, decoder_2to4, multiplexer_4x1, demultiplexer_1x4, common;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfLogic6, fLogic6);
  Application.CreateForm(TfEnc42, fEnc42);
  Application.CreateForm(TfEnc83, fEnc83);
  Application.CreateForm(TfEnc42p, fEnc42p);
  Application.CreateForm(TfDec24, fDec24);
  Application.CreateForm(TfMult41, fMult41);
  Application.CreateForm(TfDemult14, fDemult14);
  Application.Run;
end.

